version: '3.9'

services:
  webapi:
    environment:
      COMPOSE: "true"
    networks:
      - private-network-ria-backend
    links:
      - db
    build: ./WebAPI/Dockerfile
    image: ria:latest

  db:
    image: postgres:13
    environment:
        POSTGRES_USER: webapi
        POSTGRES_PASSWORD: webapi
        POSTGRES_DB: webapi
    networks:
      - private-network-ria-backend
    volumes:
      - db-webapi-ria-data-postgresql-compose:/var/lib/postgresql/data:Z
    ports:
      - 1016:5432
    deploy:
      replicas: 1
      placement:
        constraints: 
          - node.platform.os == linux
      restart_policy:
        condition: on-failure

volumes:
  db-webapi-ria-data-postgresql-compose:
    driver: local

networks:
  private-network-ria-backend:
    driver: overlay